#!/usr/bin/bash

# OpenTyrian Fedora
# 
# Due license limitation Tyrian data/assets files not available in official
# Fedora repo.

set -e

opentyrian_tmp_files=$(mktemp -d)

pushd $opentyrian_tmp_files
curl -L -O https://camanis.net/tyrian/tyrian21.zip
unzip -o tyrian21.zip
# Clean useless Windows files of Tyrian Freeware game assets
rm -rf tyrian21/{*.exe,tyrian.ico,helpme.doc,manual.doc,order.doc,shipedit.doc,dpmi16bi.ovl}
# Remove obsoleted license file
rm -f tyrian21/license.doc
# Currently only system path for data/assets files allowed, see
# https://github.com/opentyrian/opentyrian/issues/73
sudo cp -a tyrian21/* /usr/share/tyrian/
rm -r *
popd
